org.apache.hc.client5.http.io

## Interface ConnectionEndpoint.RequestExecutor

Enclosing class:
  ConnectionEndpoint

    @Internal
    public static interface ConnectionEndpoint.RequestExecutor

Since:
  5.4

### Method Summary

All Methods Instance Methods Abstract Methods
`org.apache.hc.core5.http.ClassicHttpResponse` `execute(org.apache.hc.core5.http.ClassicHttpRequest request, org.apache.hc.core5.http.io.HttpClientConnection conn, org.apache.hc.core5.http.protocol.HttpContext context)`

### Method Detail

#### execute

    org.apache.hc.core5.http.ClassicHttpResponse execute(org.apache.hc.core5.http.ClassicHttpRequest request,
                                                         org.apache.hc.core5.http.io.HttpClientConnection conn,
                                                         org.apache.hc.core5.http.protocol.HttpContext context)
                                                  throws IOException,
                                                         org.apache.hc.core5.http.HttpException

Throws:
  `IOException`
  `org.apache.hc.core5.http.HttpException`